# GimpUi.AspectPreview

    const GimpUi = imports.gi.GimpUi;

    let aspectPreview = new GimpUi.AspectPreview({
        drawable: value,
    });

A widget providing a preview with fixed aspect ratio.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Box
          - GimpUi.Preview
            - GimpUi.AspectPreview

## Constructors

- GimpUi.AspectPreview.new_from_drawable

## Properties

- drawable